Index: uspace/lib/c/generic/net/socket_client.c
===================================================================
--- uspace/lib/c/generic/net/socket_client.c	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
+++ uspace/lib/c/generic/net/socket_client.c	(revision cc3c2a1cbf221abe6acbd9058fc3f30467b1e43b)
@@ -157,5 +157,5 @@
 
 	/** Active sockets. */
-	sockets_ref sockets;
+	sockets_t *sockets;
 
 	/** Safety lock.
@@ -180,9 +180,9 @@
  *  @returns		The active sockets.
  */
-static sockets_ref socket_get_sockets(void)
+static sockets_t *socket_get_sockets(void)
 {
 	if (!socket_globals.sockets) {
 		socket_globals.sockets =
-		    (sockets_ref) malloc(sizeof(sockets_t));
+		    (sockets_t *) malloc(sizeof(sockets_t));
 		if (!socket_globals.sockets)
 			return NULL;
@@ -327,5 +327,5 @@
 static int socket_generate_new_id(void)
 {
-	sockets_ref sockets;
+	sockets_t *sockets;
 	int socket_id = 0;
 	int count;
Index: uspace/lib/c/include/adt/generic_char_map.h
===================================================================
--- uspace/lib/c/include/adt/generic_char_map.h	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
+++ uspace/lib/c/include/adt/generic_char_map.h	(revision cc3c2a1cbf221abe6acbd9058fc3f30467b1e43b)
@@ -55,5 +55,4 @@
 	\
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	\
 	struct	name { \
@@ -63,11 +62,11 @@
 	}; \
 	\
-	int name##_add(name##_ref, const char *, const size_t, type *); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude(name##_ref, const char *, const size_t); \
-	type *name##_find(name##_ref, const char *, const size_t); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref);
+	int name##_add(name##_t *, const char *, const size_t, type *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude(name##_t *, const char *, const size_t); \
+	type *name##_find(name##_t *, const char *, const size_t); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *);
 
 /** Character string to generic type map implementation.
@@ -81,5 +80,5 @@
 	GENERIC_FIELD_IMPLEMENT(name##_items, type) \
 	\
-	int name##_add(name##_ref map, const char *name, const size_t length, \
+	int name##_add(name##_t *map, const char *name, const size_t length, \
 	     type *value) \
 	{ \
@@ -99,5 +98,5 @@
 	} \
 	\
-	int name##_count(name##_ref map) \
+	int name##_count(name##_t *map) \
 	{ \
 		return name##_is_valid(map) ? \
@@ -105,5 +104,5 @@
 	} \
 	\
-	void name##_destroy(name##_ref map) \
+	void name##_destroy(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -113,5 +112,5 @@
 	} \
 	\
-	void name##_exclude(name##_ref map, const char *name, \
+	void name##_exclude(name##_t *map, const char *name, \
 	    const size_t length) \
 	{ \
@@ -125,5 +124,5 @@
 	} \
 	\
-	type *name##_find(name##_ref map, const char *name, \
+	type *name##_find(name##_t *map, const char *name, \
 	    const size_t length) \
 	{ \
@@ -138,5 +137,5 @@
 	} \
 	\
-	int name##_initialize(name##_ref map) \
+	int name##_initialize(name##_t *map) \
 	{ \
 		int rc; \
@@ -155,5 +154,5 @@
 	} \
 	\
-	int name##_is_valid(name##_ref map) \
+	int name##_is_valid(name##_t *map) \
 	{ \
 		return map && (map->magic == GENERIC_CHAR_MAP_MAGIC_VALUE); \
Index: uspace/lib/c/include/adt/generic_field.h
===================================================================
--- uspace/lib/c/include/adt/generic_field.h	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
+++ uspace/lib/c/include/adt/generic_field.h	(revision cc3c2a1cbf221abe6acbd9058fc3f30467b1e43b)
@@ -53,5 +53,4 @@
 #define GENERIC_FIELD_DECLARE(name, type) \
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	\
 	struct	name { \
@@ -62,12 +61,12 @@
 	}; \
 	\
-	int name##_add(name##_ref, type *); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude_index(name##_ref, int); \
-	type **name##_get_field(name##_ref); \
-	type *name##_get_index(name##_ref, int); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref);
+	int name##_add(name##_t *, type *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude_index(name##_t *, int); \
+	type **name##_get_field(name##_t *); \
+	type *name##_get_index(name##_t *, int); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *);
 
 /** Generic type field implementation.
@@ -79,5 +78,5 @@
  */
 #define GENERIC_FIELD_IMPLEMENT(name, type) \
-	int name##_add(name##_ref field, type *value) \
+	int name##_add(name##_t *field, type *value) \
 	{ \
 		if (name##_is_valid(field)) { \
@@ -99,10 +98,10 @@
 	} \
 	\
-	int name##_count(name##_ref field) \
+	int name##_count(name##_t *field) \
 	{ \
 		return name##_is_valid(field) ? field->next : -1; \
 	} \
 	\
-	void name##_destroy(name##_ref field) \
+	void name##_destroy(name##_t *field) \
 	{ \
 		if (name##_is_valid(field)) { \
@@ -117,5 +116,5 @@
 	} \
 	 \
-	void name##_exclude_index(name##_ref field, int index) \
+	void name##_exclude_index(name##_t *field, int index) \
 	{ \
 		if (name##_is_valid(field) && (index >= 0) && \
@@ -126,5 +125,5 @@
 	} \
 	 \
-	type *name##_get_index(name##_ref field, int index) \
+	type *name##_get_index(name##_t *field, int index) \
 	{ \
 		if (name##_is_valid(field) && (index >= 0) && \
@@ -134,10 +133,10 @@
 	} \
 	\
-	type **name##_get_field(name##_ref field) \
+	type **name##_get_field(name##_t *field) \
 	{ \
 		return name##_is_valid(field) ? field->items : NULL; \
 	} \
 	\
-	int name##_initialize(name##_ref field) \
+	int name##_initialize(name##_t *field) \
 	{ \
 		if (!field) \
@@ -153,5 +152,5 @@
 	} \
 	\
-	int name##_is_valid(name##_ref field) \
+	int name##_is_valid(name##_t *field) \
 	{ \
 		return field && (field->magic == GENERIC_FIELD_MAGIC_VALUE); \
Index: uspace/lib/c/include/adt/int_map.h
===================================================================
--- uspace/lib/c/include/adt/int_map.h	(revision 4eca0560ec015aab6080f3c3fec0a783f2977837)
+++ uspace/lib/c/include/adt/int_map.h	(revision cc3c2a1cbf221abe6acbd9058fc3f30467b1e43b)
@@ -56,7 +56,5 @@
 #define INT_MAP_DECLARE(name, type) \
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	typedef	struct name##_item name##_item_t; \
-	typedef	name##_item_t *name##_item_ref; \
 	\
 	struct	name##_item { \
@@ -69,21 +67,21 @@
 		int size; \
 		int next; \
-		name##_item_ref items; \
+		name##_item_t *items; \
 		int magic; \
 	}; \
 	\
-	int name##_add(name##_ref, int, type *); \
-	void name##_clear(name##_ref); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude(name##_ref, int); \
-	void name##_exclude_index(name##_ref, int); \
-	type *name##_find(name##_ref, int); \
-	int name##_update(name##_ref, int, int); \
-	type *name##_get_index(name##_ref, int); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref); \
-	void name##_item_destroy(name##_item_ref); \
-	int name##_item_is_valid(name##_item_ref);
+	int name##_add(name##_t *, int, type *); \
+	void name##_clear(name##_t *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude(name##_t *, int); \
+	void name##_exclude_index(name##_t *, int); \
+	type *name##_find(name##_t *, int); \
+	int name##_update(name##_t *, int, int); \
+	type *name##_get_index(name##_t *, int); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *); \
+	void name##_item_destroy(name##_item_t *); \
+	int name##_item_is_valid(name##_item_t *);
 
 /** Integer to generic type map implementation.
@@ -95,10 +93,10 @@
  */
 #define INT_MAP_IMPLEMENT(name, type) \
-	int name##_add(name##_ref map, int key, type *value) \
+	int name##_add(name##_t *map, int key, type *value) \
 	{ \
 		if (name##_is_valid(map)) { \
 			if (map->next == (map->size - 1)) { \
-				name##_item_ref tmp; \
-				tmp = (name##_item_ref) realloc(map->items, \
+				name##_item_t *tmp; \
+				tmp = (name##_item_t *) realloc(map->items, \
 				    sizeof(name##_item_t) * 2 * map->size); \
 				if (!tmp) \
@@ -117,5 +115,5 @@
 	} \
 	\
-	void name##_clear(name##_ref map) \
+	void name##_clear(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -132,10 +130,10 @@
 	} \
 	\
-	int name##_count(name##_ref map) \
+	int name##_count(name##_t *map) \
 	{ \
 		return name##_is_valid(map) ? map->next : -1; \
 	} \
 	\
-	void name##_destroy(name##_ref map) \
+	void name##_destroy(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -152,5 +150,5 @@
 	} \
 	\
-	void name##_exclude(name##_ref map, int key) \
+	void name##_exclude(name##_t *map, int key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -166,5 +164,5 @@
 	} \
 	\
-	void name##_exclude_index(name##_ref map, int index) \
+	void name##_exclude_index(name##_t *map, int index) \
 	{ \
 		if (name##_is_valid(map) && (index >= 0) && \
@@ -175,5 +173,5 @@
 	} \
 	\
-	type *name##_find(name##_ref map, int key) \
+	type *name##_find(name##_t *map, int key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -189,5 +187,5 @@
 	} \
 	\
-	int name##_update(name##_ref map, int key, int new_key) \
+	int name##_update(name##_t *map, int key, int new_key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -208,5 +206,5 @@
 	} \
 	\
-	type *name##_get_index(name##_ref map, int index) \
+	type *name##_get_index(name##_t *map, int index) \
 	{ \
 		if (name##_is_valid(map) && (index >= 0) && \
@@ -218,5 +216,5 @@
 	} \
 	\
-	int name##_initialize(name##_ref map) \
+	int name##_initialize(name##_t *map) \
 	{ \
 		if (!map) \
@@ -224,5 +222,5 @@
 		map->size = 2; \
 		map->next = 0; \
-		map->items = (name##_item_ref) malloc(sizeof(name##_item_t) * \
+		map->items = (name##_item_t *) malloc(sizeof(name##_item_t) * \
 		    map->size); \
 		if (!map->items) \
@@ -233,10 +231,10 @@
 	} \
 	\
-	int name##_is_valid(name##_ref map) \
+	int name##_is_valid(name##_t *map) \
 	{ \
 		return map && (map->magic == INT_MAP_MAGIC_VALUE); \
 	} \
 	\
-	void name##_item_destroy(name##_item_ref item) \
+	void name##_item_destroy(name##_item_t *item) \
 	{ \
 		if (name##_item_is_valid(item)) { \
@@ -249,5 +247,5 @@
 	} \
 	\
-	int name##_item_is_valid(name##_item_ref item) \
+	int name##_item_is_valid(name##_item_t *item) \
 	{ \
 		return item && (item->magic == INT_MAP_ITEM_MAGIC_VALUE); \
